# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/focaltech,ft8112.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: FocalTech FT8112 touchscreen controller

maintainers:
  - Daniel Peng <Daniel_Peng@pegatron.corp-partner.google.com>

description:
  Supports the FocalTech FT8112 touchscreen controller.
  This touchscreen controller uses the i2c-hid protocol with a reset GPIO.

allOf:
  - $ref: /schemas/input/touchscreen/touchscreen.yaml#

properties:
  compatible:
    enum:
      - focaltech,ft8112

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  panel: true

  reset-gpios:
    maxItems: 1

  vcc33-supply: true

  vccio-supply: true

required:
  - compatible
  - reg
  - interrupts
  - vcc33-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
      #address-cells = <1>;
      #size-cells = <0>;

      touchscreen@38 {
        compatible = "focaltech,ft8112";
        reg = <0x38>;

        interrupt-parent = <&pio>;
        interrupts = <15 IRQ_TYPE_LEVEL_LOW>;

        reset-gpios = <&pio 126 GPIO_ACTIVE_LOW>;
        vcc33-supply = <&pp3300_tchscr_x>;
      };
    };
